## ros-foxy-gurumdds-cmake-module 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(gurumdds_cmake_module)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)

set(${PROJECT_NAME}_DIR "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
list(INSERT CMAKE_MODULE_PATH 0 "${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules")
find_package(GurumDDS QUIET MODULE)
if(GurumDDS_FOUND)
  find_package(GurumDDS MODULE)
endif()
if(GurumDDS_HOME)
  file(TO_NATIVE_PATH "${GurumDDS_HOME}" GurumDDS_HOME)
  if(WIN32)
    ament_environment_hooks(env_hook/gurumdds.bat.in)
  else()
    ament_environment_hooks(env_hook/gurumdds.sh.in)
  endif()
endif()

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(
  CONFIG_EXTRAS "gurumdds_cmake_module-extras.cmake"
)

install(DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME})

=== debian/changelog ===
ros-foxy-gurumdds-cmake-module (1.4.0-1focal) focal; urgency=high

  * Add maintainer
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 07 Mar 2023 15:00:00 -0000

ros-foxy-gurumdds-cmake-module (1.3.1-1focal) focal; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 29 Nov 2022 15:00:00 -0000

ros-foxy-gurumdds-cmake-module (1.3.0-1focal) focal; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 04 Oct 2022 15:00:00 -0000

ros-foxy-gurumdds-cmake-module (1.2.3-1focal) focal; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 04 Jul 2022 15:00:00 -0000

ros-foxy-gurumdds-cmake-module (1.2.2-1focal) focal; urgency=high

  * Reorganise package
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Thu, 26 May 2022 15:00:00 -0000

ros-foxy-gurumdds-cmake-module (1.2.1-1focal) focal; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Thu, 26 May 2022 15:00:00 -0000

ros-foxy-gurumdds-cmake-module (1.1.1-1focal) focal; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Sun, 08 May 2022 15:00:00 -0000

ros-foxy-gurumdds-cmake-module (1.1.0-1focal) focal; urgency=high

  * Update packages to use gurumdds-2.8 & Update README
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Sun, 02 Jan 2022 15:00:00 -0000

ros-foxy-gurumdds-cmake-module (1.0.4-1focal) focal; urgency=high

  * Modify cmake according to library path format
  * Change maintainer
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 07 Jul 2021 15:00:00 -0000

ros-foxy-gurumdds-cmake-module (1.0.3-1focal) focal; urgency=high

  * Update packages to use gurumdds-2.7
  * Contributors: junho

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 18 Nov 2020 15:00:00 -0000

ros-foxy-gurumdds-cmake-module (1.0.2-1focal) focal; urgency=high

  * Change maintainer
  * Contributors: junho

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 28 Jul 2020 15:00:00 -0000

ros-foxy-gurumdds-cmake-module (1.0.1-1focal) focal; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 27 Jul 2020 15:00:00 -0000

ros-foxy-gurumdds-cmake-module (1.0.0-1focal) focal; urgency=high

  * Updated packages to use gurumdds-2.6
  * Contributors: junho

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 03 Jun 2020 15:00:00 -0000

ros-foxy-gurumdds-cmake-module (0.8.2-1focal) focal; urgency=high

  * updated packages to use gurumdds-2.5
  * Contributors: hyeonwoo

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 18 Dec 2019 15:00:00 -0000

ros-foxy-gurumdds-cmake-module (0.8.1-1focal) focal; urgency=high

  * CoreDDS is renamed to GurumDDS
  * Contributors: junho

 -- Youngjin Yun <youngjin@gurum.cc>  Thu, 14 Nov 2019 15:00:00 -0000

ros-foxy-gurumdds-cmake-module (0.8.0-1focal) focal; urgency=high

  * added changelog
  * added gurumdds dependency to package.xml
  * rewrote build scripts
  * fixed 'command not found' error
  * Implemented Wstring support
  * fixed typos
  * fixed code style divergence
  * updated cmake to fit new library paths
  * migration from gitlab
  * Contributors: junho

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 05 Nov 2019 15:00:00 -0000

=== debian/control ===
Source: ros-foxy-gurumdds-cmake-module
Section: misc
Priority: optional
Maintainer: Youngjin Yun <youngjin@gurum.cc>
Build-Depends: debhelper (>= 9.0.0), gurumdds-2.8, ros-foxy-ament-cmake, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-gurumdds-cmake-module
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ament-cmake, ros-foxy-ros-workspace
Description: Provide CMake module to find GurumNetworks GurumDDS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-gurumdds-cmake-module//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
